\input{def}
\def\InvoiceYear{2018}
\def\InvoiceMonth{2}
\def\InvoiceDay{23}
\def\InvoiceSerial{02}
%\def\InvoiceNumber{\InvoiceYear\InvoiceMonth\InvoiceDay\InvoiceSerial}
\def\InvoiceSubject{Invoice}
\def\InvoiceRecipientFirm{Client Inc}
\def\InvoiceRecipientName{Representative}
\def\InvoiceRecipientAddress{Client Address 00}
\def\InvoiceRecipientPostalcode{ClientPostalCode}
\def\InvoiceRecipientPlace{ClientCity}

\def\InvoiceBreakdown{
  \begin{invoice}[\euro][0.5]
    \Fee{Jedi Force Activation Workshop}{10}{1800}{\LabelDay}{2}
    \Fee{Padawan counseling}{10}{240}{\LabelHour}{1}
    \Fee{Description A}{10}{100}{\LabelHour}{2}
    \insertexpenses
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Jedi Force Activation Workshop, Padawan counseling \& Jedi Force Activation Workshop, Jedi Force Activation Workshop, Padawan counseling \& Jedi Force Activation Workshop}{700}{1}{}{700.00}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Jedi Force Activation Workshop, Padawan counseling \& Jedi Force Activation Workshop, Jedi Force Activation Workshop, Padawan counseling \& Jedi Force Activation Workshop}{700}{1}{}{700.00}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
    \ForeignExpense{Deathstar model}{999}{0.86}{USD}{859.14}
    \ForeignExpense{Deathstar scrambler prototype}{27599}{0.86}{USD}{23735.14}
    \ForeignExpense{Component cost}{700}{1}{}{700.00}
    \Expense{Component cost}{700}
  \end{invoice}
}

\def\InvoiceIntro{
  This could be a nice introduction to jog someone's memory.
}

% Example of override
\def\InvoiceLetterClosing{Bye}

\input{layout}
